Skip to main content
PATCH
/
api
/
v1
/
school
/
curriculum
/
{id}
Update curriculum partial
curl --request PATCH \
  --url https://test-api.afrainity.com/api/v1/school/curriculum/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "exam_board": "<string>",
  "is_deleted": true
}
'
{
  "exam_board": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "is_deleted": true,
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this curriculum.

Body

Auto-populate created_by from request.user when available.

exam_board
string
Required string length: 1 - 255
is_deleted
boolean

Response

200 - application/json

Auto-populate created_by from request.user when available.

exam_board
string
required
Maximum string length: 255
id
string<uuid>
created_at
string<date-time>
is_deleted
boolean
updated_at
string<date-time>